DNSSEC Status API Reference
Check if the DNS records of a host are fully DNSSEC-signed and validated, with the full DNS answer, RRSIG and DNSKEY records and CNAME redirects.
Service details and pricing: DNSSEC Status API
Request example
Query the endpoint via an HTTPS POST request (replace YOUR_API_KEY_HERE with your API key):
curl -X POST "https://api.apivoid.com/v2/dnssec-status" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY_HERE" \
-d '{
"host": "www.paypal.com",
"dns_type": "A"
}'The same request in PHP:
$host = 'www.paypal.com';
$dnsType = 'A';
$apiKey = 'YOUR_API_KEY_HERE';
$curl = curl_init('https://api.apivoid.com/v2/dnssec-status');
curl_setopt($curl, CURLOPT_HTTPHEADER, ['Content-Type: application/json', 'X-API-Key: ' . $apiKey]);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode(['host' => $host, 'dns_type' => $dnsType]));
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
curl_close($curl);
if ($httpCode === 200) {
$responseData = json_decode($response, true);
print_r($responseData);
} else {
print_r('An error occurred: '.$response);
}Request parameters
Required
Host to submit, e.g. google.com.
Optional
DNS type, can be one of the following: A, AAAA, MX, NS, TXT, SOA, CAA, CNAME, SRV.
Response example
A successful request returns HTTP 200 with a JSON body:
{
"host": "www.paypal.com",
"dns_type": "A",
"dnssec_enabled": true,
"dnssec_signed": false,
"rrsig_records": [
{
"name": "www.paypal.com",
"type": "RRSIG",
"ttl": 3417,
"data": "CNAME 13 3 3600 1744928484 1742333294 paypal.com f5l9SOGnbgf8H23QOu+uunwLwMgxt7jAYHvuW8d9KNPnQf3FMX80Lxhqzdla6K/f6AOjIyCaBuk2RFKlrTe9iA=="
},
{
"name": "www.glb.paypal.com",
"type": "RRSIG",
"ttl": 117,
"data": "CNAME 13 4 300 1742907859 1742735059 glb.paypal.com 1Ue0053RPP/8+PbTQP1kGQ9QsSzhR8ecKgSvMSZiEyZ/S++1qso9ZFNRnkVMbxlOvUCrmS9szcuvWB1b4Px4Ow=="
},
{
"name": "www.paypal.com",
"type": "RRSIG",
"ttl": 3600,
"data": "CNAME 13 3 3600 1744928484 1742333294 paypal.com f5l9SOGnbgf8H23QOu+uunwLwMgxt7jAYHvuW8d9KNPnQf3FMX80Lxhqzdla6K/f6AOjIyCaBuk2RFKlrTe9iA=="
},
{
"name": "www.glb.paypal.com",
"type": "RRSIG",
"ttl": 300,
"data": "CNAME 13 4 300 1742908055 1742735255 glb.paypal.com UBLdB8tJpzF/WMeV370JjeNo2nDMeflysiKeI34GOC2Dw7g8HtbgMvc5FkfL/jmxglwcLrsnb1x7kFfmkBOReA=="
},
{
"name": "www.paypal.com",
"type": "RRSIG",
"ttl": 3600,
"data": "CNAME 13 3 3600 1744928484 1742333294 paypal.com f5l9SOGnbgf8H23QOu+uunwLwMgxt7jAYHvuW8d9KNPnQf3FMX80Lxhqzdla6K/f6AOjIyCaBuk2RFKlrTe9iA=="
},
{
"name": "www.glb.paypal.com",
"type": "RRSIG",
"ttl": 300,
"data": "CNAME 13 4 300 1742908056 1742735256 glb.paypal.com 6Fx9cnpencNHlQiPy3m66tGymPvuCQ19fBQNebQTLJSEYv60p9likEjDISpJ+sI0GX/0fu3bdEwCU0VJk4ledw=="
},
{
"name": "www.paypal.com",
"type": "RRSIG",
"ttl": 3600,
"data": "CNAME 13 3 3600 1744928484 1742333294 paypal.com f5l9SOGnbgf8H23QOu+uunwLwMgxt7jAYHvuW8d9KNPnQf3FMX80Lxhqzdla6K/f6AOjIyCaBuk2RFKlrTe9iA=="
},
{
"name": "www.glb.paypal.com",
"type": "RRSIG",
"ttl": 300,
"data": "CNAME 13 4 300 1742908056 1742735256 glb.paypal.com imTdzyhprpa8RdHiR7UNGnzDWMPmWcLsbXuDr5x5OMOUws923pMQCLsAViQ01BaFL7UlazxNPdszb9QuXsGoDA=="
},
{
"name": "paypal.com",
"type": "RRSIG",
"ttl": 59,
"data": "A 13 2 300 1744930569 1742335033 paypal.com lJWZJ+jrUFF1YK0VNdbQv/SCCNcGgs1VHAeGnzl/ch7FoZ7Ij0iFAxcj2Lx0lrC/EqzcKg/Ow40ZM4YzMZSZcQ=="
},
{
"name": "paypal.com",
"type": "RRSIG",
"ttl": 2189,
"data": "MX 13 2 3600 1744911592 1742316283 paypal.com hMLziyfQZNgBumBMCs/hOVJbiBu7hmN+cqDz/y2U919BIuxOFa5ASnmy+uPSTfGxMYuMS8Sc8sO79w9qjBmykw=="
},
{
"name": "paypal.com",
"type": "RRSIG",
"ttl": 57,
"data": "NS 13 2 300 1744922379 1742329900 paypal.com YoHzfPnxMZiDe/c/GJuznmW7VoMGi/+RtwgPjcFZcjo6UIlj3Yc4OeciTg+VroPS0GNiNw/mAwMhPmqQNSUEog=="
}
],
"dnskey_records": [
{
"name": "paypal.com",
"type": "DNSKEY",
"ttl": 37,
"data": "256 3 13 P82aHv27vjeEDMJUhvU8f02W9/WeblsvfMCL+ywMEJgD/9xsRStpOJhZC9EwZ4nQBsP8rlA5rhyXZfBcgc877g=="
},
{
"name": "paypal.com",
"type": "DNSKEY",
"ttl": 37,
"data": "256 3 13 t7/xPcfCnzUrxKawsmnR+SxQAJSSLABBt+y7eV2/BylpqG6vhGuJRVGSsHeuBt/VjC6IByqVMYGu1J9+/s1QbQ=="
},
{
"name": "paypal.com",
"type": "DNSKEY",
"ttl": 37,
"data": "256 3 13 zJFO6JcpeZIZXwqycK0s1dx2o2WscPt3mltjObZe2pfHRGeBROSwdseufTJyQSyfNn+3ZgvcJZq4foKZfXT/WA=="
},
{
"name": "paypal.com",
"type": "DNSKEY",
"ttl": 37,
"data": "257 3 13 UfWINtfVS/tASNWSjcw5K3jSqovFZ6saO8xTwAL3QniwgHkBzBUQHh1Xh4s5eIuEcPZFJ3YY1cem5yQo2Lsq1w=="
},
{
"name": "paypal.com",
"type": "DNSKEY",
"ttl": 37,
"data": "257 3 13 1NYmUeN/Ens1c5m8lmq5/SiqjpMK+dfGDY+3j8KkDgDSiDQev59JlxpQSIgRV723NGBrM5wyDtORZ20rSVkCqA=="
}
],
"ds_records": [
{
"name": "paypal.com",
"type": "DS",
"ttl": 76862,
"data": "7037 13 2 9778f2ff96889ebed549795deaa40a6113f1899af7ca8dd7947fddfeca9a190b"
},
{
"name": "paypal.com",
"type": "DS",
"ttl": 76862,
"data": "34800 13 2 d9e64ba8c8718fd93b596f9d109d9dac47c3f557312201dfcce5dd4128c08f50"
}
],
"answer": [
{
"name": "www.paypal.com",
"type": "CNAME",
"ttl": 3357,
"data": "www.glb.paypal.com"
},
{
"name": "www.paypal.com",
"type": "RRSIG",
"ttl": 3357,
"data": "CNAME 13 3 3600 1744928484 1742333294 paypal.com f5l9SOGnbgf8H23QOu+uunwLwMgxt7jAYHvuW8d9KNPnQf3FMX80Lxhqzdla6K/f6AOjIyCaBuk2RFKlrTe9iA=="
},
{
"name": "www.glb.paypal.com",
"type": "CNAME",
"ttl": 57,
"data": "paypal-dynamic.map.fastly.net"
},
{
"name": "www.glb.paypal.com",
"type": "RRSIG",
"ttl": 57,
"data": "CNAME 13 4 300 1742907789 1742734989 glb.paypal.com Uf7VXZU5DE6knhXR8QqQQiuaQMFhqOtWfYk+duF8tPQaZQ2In04/fimFy6Z3PjDo7CCSkiAmEK36HYY4hF4Dow=="
},
{
"name": "paypal-dynamic.map.fastly.net",
"type": "A",
"ttl": 57,
"data": "151.101.129.21"
},
{
"name": "paypal-dynamic.map.fastly.net",
"type": "A",
"ttl": 57,
"data": "151.101.193.21"
},
{
"name": "paypal-dynamic.map.fastly.net",
"type": "A",
"ttl": 57,
"data": "151.101.65.21"
},
{
"name": "paypal-dynamic.map.fastly.net",
"type": "A",
"ttl": 57,
"data": "151.101.1.21"
}
],
"elapsed_ms": 169
}Response fields
The fields returned in the JSON response:
hoststring
Host submitted for the DNSSEC check.
dns_typestring
DNS record type queried, e.g. A.
dnssec_enabledboolean
Returns true if DNSSEC is enabled for the domain.
dnssec_signedboolean
Returns true if the DNS response is signed with DNSSEC.
rrsig_recordsarray
RRSIG records found; each item has name, type, ttl and data.
rrsig_records[n] → namestring
Host name the record belongs to.
rrsig_records[n] → typestring
DNS record type, always RRSIG for this array.
rrsig_records[n] → ttlinteger
Time-to-live (TTL) of the record, in seconds.
rrsig_records[n] → datastring
Raw RRSIG record data (covered type, algorithm, expiration and signature).
dnskey_recordsarray
DNSKEY records found; each item has name, type, ttl and data.
dnskey_records[n] → namestring
Host name the record belongs to.
dnskey_records[n] → typestring
DNS record type, always DNSKEY for this array.
dnskey_records[n] → ttlinteger
Time-to-live (TTL) of the record, in seconds.
dnskey_records[n] → datastring
Raw DNSKEY record data (flags, protocol, algorithm and public key).
ds_recordsarray
DS records found; each item has name, type, ttl and data.
ds_records[n] → namestring
Host name the record belongs to.
ds_records[n] → typestring
DNS record type, always DS for this array.
ds_records[n] → ttlinteger
Time-to-live (TTL) of the record, in seconds.
ds_records[n] → datastring
Raw DS record data (key tag, algorithm, digest type and digest).
answerarray
DNS answer records for the queried type; each item has name, type, ttl and data.
answer[n] → namestring
Host name the record belongs to.
answer[n] → typestring
DNS record type of the answer, e.g. A.
answer[n] → ttlinteger
Time-to-live (TTL) of the record, in seconds.
answer[n] → datastring
Record value, e.g. the IPv4 address for an A record.
elapsed_msinteger
Time taken to process the request, in milliseconds.